import Foundation
import App

Foundation.SoundDef("sfx/Weapons/PPhaser.wav", "PPhaser", 0.7)

abbrev = 'DJRaptor'				
iconName = 'DJRaptor'					
longName = 'U.S.S. Raptor'					
shipFile = 'DJRaptor'				
menuGroup = 'Fed Ships'			
playerMenuGroup = 'Fed Ships'		
species = App.SPECIES_MARAUDER			

Foundation.ShipDef.DJRaptor = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.DJRaptor.dTechs = { 'Fed Ablative Armor': {
	"Plates": ["Forward Ablative Armor", "Aft Ablative Armor", "Dorsal Ablative Armor", "Ventral Ablative Armor"]
}}
Foundation.ShipDef.DJRaptor.desc = "U.S.S. Raptor\nNCC-82512\nClass: Leonidas\nCategory: Battlecruiser\nComissioned: 2403\nDoes not have the raw firepower of a Century class starship, but does have a stronger hull, as well as more heavily armored components.  Designed for ultimate combat survivability."
Foundation.ShipDef.DJRaptor.sBridge = 'galaxybridge'
Foundation.ShipDef.DJRaptor.fMaxWarp = 9.9
Foundation.ShipDef.DJRaptor.fWarpEntryDelayTime = 2.5

if menuGroup:           Foundation.ShipDef.DJRaptor.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.DJRaptor.RegisterQBPlayerShipMenu(playerMenuGroup)
